<?xml version="1.0" encoding="utf-8"?>
<!--

    Name: SupplierDelivery.wsdl
-->
		
<definitions xmlns="http://schemas.xmlsoap.org/wsdl/" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema"  xmlns:specwss="org:spec:jent:ws:buyer" xmlns:specwssdm="org:spec:jent:ws:buyer:SupplierDeliveryMessage" xmlns:xmime="http://www.w3.org/2005/05/xmlmime"  targetNamespace="org:spec:jent:ws:buyer">
        <types>
                <xs:schema elementFormDefault="qualified" targetNamespace="org:spec:jent:ws:buyer:SupplierDeliveryMessage">
                        <xs:include schemaLocation="DeliveryMessage.xsd"/>
                </xs:schema>
        </types>
        <message name="Delivery">
                <part name="Message" element="specwssdm:InlineDeliveryMessage"/>
        </message>
        <message name="DeliveryAttach">
                <part name="Message" element="specwssdm:DeliveryMessageAttach"/>
       </message>
        <portType name="BuyerPortType">
                <operation name="ProcessDelivery">
                        <input message="specwss:Delivery"/>
                </operation>
                <operation name="ProcessDeliveryAttach">
                        <input message="specwss:DeliveryAttach"/>
                </operation>

        </portType>
        <binding name="BuyerBinding" type="specwss:BuyerPortType">
                <soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
                <operation name="ProcessDelivery">
                        <soap:operation soapAction="processDelivery" style="document"/>
                        <input>
                                <soap:body use="literal"/>
                        </input>
                </operation>
                <operation name="ProcessDeliveryAttach">
                        <soap:operation soapAction="processDeliveryAttach" style="document"/>
                        <input>
                                <soap:body use="literal"/>
                        </input>
                </operation>
        </binding>
        <service name="BuyerService">
                <port name="BuyerBinding" binding="specwss:BuyerBinding">
                        <soap:address location="REPLACE_WITH_ACTUAL_URL"/>
                </port>
        </service>
</definitions>

